Loading...
Searching...
No Matches
_DelegateInfo Struct Reference

## Data Fields

char * | path
char * | decode
char * | encode
char * | commands
ssize_t | mode
MagickBooleanType | thread_support
MagickBooleanType | spawn
MagickBooleanType | stealth
SemaphoreInfo * | semaphore
size_t | signature

## Detailed Description

Definition at line 28 of file delegate.h.

## Field Documentation

## commands

char * _DelegateInfo::commands

Definition at line 34 of file delegate.h.

## decode

char * _DelegateInfo::decode

Definition at line 32 of file delegate.h.

## encode

char * _DelegateInfo::encode

Definition at line 33 of file delegate.h.

## mode

ssize_t _DelegateInfo::mode

Definition at line 37 of file delegate.h.

## path

char* _DelegateInfo::path

Definition at line 31 of file delegate.h.

## semaphore

SemaphoreInfo* _DelegateInfo::semaphore

Definition at line 45 of file delegate.h.

## signature

size_t _DelegateInfo::signature

Definition at line 48 of file delegate.h.

## spawn

MagickBooleanType _DelegateInfo::spawn

Definition at line 41 of file delegate.h.

## stealth

MagickBooleanType _DelegateInfo::stealth

Definition at line 42 of file delegate.h.

## thread_support

MagickBooleanType _DelegateInfo::thread_support

Definition at line 40 of file delegate.h.

The documentation for this struct was generated from the following file:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/MagickCore/delegate.h